at.chipkarte.client.abs.soap

## Class AnfrageAntwort

- Object
- - at.chipkarte.client.abs.soap.AnfrageAntwort

-     public class AnfrageAntwort
      extends Object

  Enthält die Daten, die von der Funktion `sendenAnfrage` zurückgeliefert werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnfrageAntwort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFotoInformation()` Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
    `String` | `getId()` ID der Bewilligungsanfrage.
    `PatientenDaten` | `getPatientenDaten()` Patient, der vom e-card Serversystem ermittelt wurde.
    `Boolean` | `isBearbeitungNaechsterWerktag()` Kennzeichen, ob die Bearbeitung der Anfrage erst am nächsten Werktag erfolgt.
    `void` | `setBearbeitungNaechsterWerktag(Boolean bearbeitungNaechsterWerktag)`
    `void` | `setFotoInformation(String fotoInformation)`
    `void` | `setId(String id)`
    `void` | `setPatientenDaten(PatientenDaten patientenDaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnfrageAntwort

          public AnfrageAntwort()

  - ### Method Detail

    - #### isBearbeitungNaechsterWerktag

          public Boolean isBearbeitungNaechsterWerktag()

      Kennzeichen, ob die Bearbeitung der Anfrage erst am nächsten Werktag erfolgt. Wenn false, erfolgt die Bearbeitung sofort.
      Returns:
        Kennzeichen für Bearbeitung am nächsten Werktag

    - #### setBearbeitungNaechsterWerktag

          public void setBearbeitungNaechsterWerktag(Boolean bearbeitungNaechsterWerktag)

    - #### getId

          public String getId()

      ID der Bewilligungsanfrage.
      Format: maximal 38-stellig
      Returns:
        Id

    - #### setId

          public void setId(String id)

    - #### getPatientenDaten

          public PatientenDaten getPatientenDaten()

      Patient, der vom e-card Serversystem ermittelt wurde.
      Returns:
        Objekt vom Typ PatientenDaten - Daten zum Patienten

    - #### setPatientenDaten

          public void setPatientenDaten(PatientenDaten patientenDaten)

    - #### getFotoInformation

          public String getFotoInformation()

      Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
      Format: maximal 160 stellig
      Returns:
        Foto-Information

    - #### setFotoInformation

          public void setFotoInformation(String fotoInformation)